List Inbound Emails
curl --request GET \
--url https://api.casparser.in/v4/inbound-email \
--header 'x-api-key: <api-key>'import requests
url = "https://api.casparser.in/v4/inbound-email"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.casparser.in/v4/inbound-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"inbound_emails": [
{
"inbound_email_id": "ie_a1b2c3d4e5f6",
"email": "ie_a1b2c3d4e5f6@import.casparser.in",
"reference": "user_12345",
"callback_url": "https://api.yourapp.com/webhooks/cas-email",
"allowed_sources": [
"cdsl",
"nsdl"
],
"status": "active",
"metadata": {
"plan": "premium"
},
"created_at": "2025-02-21T10:30:00Z",
"updated_at": "2025-02-21T10:30:00Z"
}
],
"total": 15,
"limit": 50,
"offset": 0
}{
"status": "failed",
"msg": "Authentication failed: API key is missing. Please provide a valid API key in the x-api-key header."
}Inbound Email
List Inbound Emails
List all inbound emails associated with your API key. Returns active and paused inbound emails (deleted ones are excluded).
GET
/
v4
/
inbound-email
List Inbound Emails
Authorizations
Your API key for authentication.
Use sandbox-with-json-responses as Sandbox key.
Query Parameters
Filter by status
Available options:
active, paused, all Maximum number of inbound emails to return
Required range:
1 <= x <= 100Pagination offset
Required range:
x >= 0Was this page helpful?
⌘I

